#region Using directives

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

#endregion

namespace hammer
{
    public partial class AboutForm : Form
    {
        private AboutForm()
        {
            InitializeComponent();
            if (MainForm.VStyle != MainForm.VisualStyle.Blue)
                pictureBox.Image = hammer.Properties.Resources.fp2;
        }

        public static void Execute(Form main)
        {
            using (Form f = new AboutForm())
                f.ShowDialog(main);
        }

        private void AboutForm_FormClosed(object sender, FormClosedEventArgs e)
        {
            while (Opacity > 0)
            {
                Opacity -= 0.1;
                System.Threading.Thread.Sleep(35);
            }
        }

        private static bool InsideLogo(MouseEventArgs e)
        {
            return (e.X - 65) * (e.X - 65) + (e.Y - 63) * (e.Y - 63) <= 58 * 58;
        }

        private void pictureBox_MouseMove(object sender, MouseEventArgs e)
        {
            if (InsideLogo(e))
            {
                pictureBox.Cursor = Cursors.Hand;
                toolTip1.SetToolTip(pictureBox, "Freya home");
            }
            else
            {
                pictureBox.Cursor = Cursors.Default;
                toolTip1.SetToolTip(pictureBox, String.Empty);
                toolTip1.Hide(pictureBox);
            }
        }

        private bool insideLogo;

        private void pictureBox_MouseDown(object sender, MouseEventArgs e)
        {
            insideLogo = InsideLogo(e);
            if (insideLogo)
                using (System.Media.SoundPlayer sp = new System.Media.SoundPlayer(
                    hammer.Properties.Resources.start))
                    sp.Play();
        }

        private void pictureBox_MouseUp(object sender, MouseEventArgs e)
        {
            if (pictureBox.Capture)
            {
                pictureBox.Capture = false;
                if (insideLogo && InsideLogo(e))
                {
                    using (System.Media.SoundPlayer sp = new System.Media.SoundPlayer(
                        hammer.Properties.Resources.Dialog))
                        sp.Play();
                    Process.Start("IExplore.exe", @"http://www.marteens.com/freya");
                }
            }
        }
    }
}